# Class Cell

## Index

### Methods

- addPreview
- getHTML
- getValue
- removePreview
- setHTML
- setValue
- updatePreview

## Methods

### addPreview

- addPreview(minWidth: string, maxWidth: string): void

- - Defined in ui/Matrix/Cell.ts :54

  #### Parameters

  - ##### minWidth: string

  - ##### maxWidth: string

  #### Returns void

### getHTML

- getHTML(): HTMLElement

- - Defined in ui/Matrix/Cell.ts :29

  #### Returns HTMLElement

### getValue

- getValue(): any

- - Defined in ui/Matrix/Cell.ts :21

  #### Returns any

### removePreview

- removePreview(): void

- - Defined in ui/Matrix/Cell.ts :74

  #### Returns void

### setHTML

- setHTML(html: HTMLElement): void

- - Defined in ui/Matrix/Cell.ts :45

  #### Parameters

  - ##### html: HTMLElement

  #### Returns void

### setValue

- setValue(value: any): void

- - Defined in ui/Matrix/Cell.ts :37

  #### Parameters

  - ##### value: any

  #### Returns void

### updatePreview

- updatePreview(template: string): void

- - Defined in ui/Matrix/Cell.ts :86

  #### Parameters

  - ##### template: string

  #### Returns void

### Hierarchy

- Cell